<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
	<OutputType>WinExe</OutputType>
	<TargetFramework>net8.0-windows</TargetFramework>
	<Nullable>enable</Nullable>
	<ImplicitUsings>enable</ImplicitUsings>
	<EnableWindowsTargeting>true</EnableWindowsTargeting>
	<UseWPF>true</UseWPF>
	<UseWindowsForms>true</UseWindowsForms>
	<ApplicationIcon>视频.ico</ApplicationIcon>
	<ApplicationManifest>app.manifest</ApplicationManifest>
  </PropertyGroup>

  <ItemGroup>
	<PackageReference Include="FFMpegCore" Version="5.2.0" />
	<PackageReference Include="LiveCharts" Version="0.9.7" />
	<PackageReference Include="LiveCharts.Wpf" Version="0.9.7" />
	<PackageReference Include="log4net" Version="3.1.0" />
	<PackageReference Include="MahApps.Metro.IconPacks.Core" Version="6.0.0" />
	<PackageReference Include="MahApps.Metro.IconPacks.Material" Version="6.0.0" />
	<PackageReference Include="MaterialDesignXaml.DialogsHelper" Version="1.0.4" />
	<PackageReference Include="Microsoft.Extensions.Logging" Version="9.0.8" />
	<PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
	<PackageReference Include="System.IO.Pipelines" Version="9.0.8" />
	<PackageReference Include="System.Text.Encodings.Web" Version="9.0.8" />
	<PackageReference Include="System.Text.Json" Version="9.0.8" />
	<PackageReference Include="WPFDevelopers" Version="0.0.0.1" />
  </ItemGroup>

  <ItemGroup>
	<AdditionalFiles Update="app.manifest">
	  <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
	</AdditionalFiles>
  </ItemGroup>

  <ItemGroup>
	<ApplicationDefinition Update="App.xaml">
	  <CopyToOutputDirectory>Never</CopyToOutputDirectory>
	</ApplicationDefinition>
  </ItemGroup>

  <ItemGroup>
	<None Update="App.config">
	  <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	</None>
	<None Update="log4net.config">
	  <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
	</None>
  </ItemGroup>

</Project>
